Name:          tggraphlayout
Version:       1.22
Release:       %mkrel 1
Summary:       The layout library of the Touchgraph project
Group:         Development/Java
License:       ASL
URL:           http://www.touchgraph.com/
Source0:       http://sourceforge.net/projects/touchgraph/files/GraphLayout/1.22-jre11/TGGL_122_jre11.zip
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
TouchGraph provides a set of interfaces for graph visualization using
force-based layout and focus+context techniques. For now only
older code is available, but we are planning to release new versions
as well.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
The layout library of the Touchgraph project.

This package contains javadoc for %{name}.

%prep
%setup -q -n TGGraphLayout

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done
for j in $(find . -name "*.class"); do
  mv $j ${j}.no
done
mv TGGL\ ReleaseNotes.txt TGGL_ReleaseNotes.txt

mkdir -p classes
mkdir -p apidocs

%build
export ClASSPATH=%Java_home/jre/lib/rt.jar
javac -d classes $(find com/ -name "*.java")
javadoc -d apidocs $(find com/ -name "*.java")
pushd classes
  jar cf ../tggraphlayout-%{version}.jar *
popd
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 tggraphlayout-%{version}.jar \
  %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
  ln -sf tggraphlayout-%{version}.jar %{buildroot}%{_javadir}/tggl.jar
)

mkdir -p %{buildroot}%{_javadocdir}/tggraphlayout-%{version}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/tggraphlayout-%{version}
ln -s tggraphlayout-%{version} %{buildroot}%{_javadocdir}/tggraphlayout

%files
%{_javadir}/tggl.jar
%{_javadir}/tggraphlayout-%{version}.jar
%{_javadir}/tggraphlayout.jar
%doc TG-APACHE-LICENSE.txt TGGL_ReleaseNotes.txt TGGraphLayout.html

%files javadoc
%{_javadocdir}/tggraphlayout-%{version}
%{_javadocdir}/tggraphlayout



%changelog
* Tue Aug 02 2011 dmorgan <dmorgan> 1.22-1.mga2
+ Revision: 131288
- Clean spec file

  + gil <gil>
    - imported package tggraphlayout


* Sat Jun 11 2011 gil <gil> 1.22-0.%%mkrel
- initial rpm